API Reference
Customers
Store customer records (CRM).
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/customers API KeyGet customers
Query parameters
| search string | — |
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/customers" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/customers API KeyCreate customers
Request body
application/json
{
"fullName": "string",
"primaryPhone": "string",
"secondaryPhone": "string",
"address": "string",
"addressArea": "string",
"addressProvince": "string",
"latitude": 0,
"longitude": 0,
"notes": "string"
}| fullName string | — |
| primaryPhone string | — |
| secondaryPhone string | — |
| address string | — |
| addressArea string | — |
| addressProvince string | — |
| latitude number (double) | — |
| longitude number (double) | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/customers" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"fullName": "string",
"primaryPhone": "string",
"secondaryPhone": "string",
"address": "string",
"addressArea": "string",
"addressProvince": "string",
"latitude": 0,
"longitude": 0,
"notes": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/customers/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/customers/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/customers/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"fullName": "string",
"primaryPhone": "string",
"secondaryPhone": "string",
"address": "string",
"addressArea": "string",
"addressProvince": "string",
"latitude": 0,
"longitude": 0,
"notes": "string",
"isActive": false
}| fullName string | — |
| primaryPhone string | — |
| secondaryPhone string | — |
| address string | — |
| addressArea string | — |
| addressProvince string | — |
| latitude number (double) | — |
| longitude number (double) | — |
| notes string | — |
| isActive boolean | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/customers/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"fullName": "string",
"primaryPhone": "string",
"secondaryPhone": "string",
"address": "string",
"addressArea": "string",
"addressProvince": "string",
"latitude": 0,
"longitude": 0,
"notes": "string",
"isActive": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/customers/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/customers/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu